package hexamap;

import java.rmi.*;
import java.awt.*;
import java.util.*;

public interface RemoteMap extends Remote {
  public void setGData(int i,int j,Polygon poly,Point location) throws RemoteException;
  public boolean isCurrent(int i,int j,int id) throws RemoteException;
  public Point getCurrent(int id) throws RemoteException;
  public void clickAt(int x,int y,int id) throws RemoteException;
  public void moveOn(int x,int y,int id) throws RemoteException;
  public void doKey(char key,int id) throws RemoteException;
  public void addNb(int i,int j,int n,int id) throws RemoteException;
  public void subNb(int i,int j,int n) throws RemoteException;
  public Point[] getBases() throws RemoteException;
  public int nextID() throws RemoteException;
  public XaStatus[][] copy(int id) throws RemoteException;
  public Config getConfig() throws RemoteException;
  public boolean allConnected() throws RemoteException;
  public int getDx() throws RemoteException;
  public int getDy() throws RemoteException;
}