package hexamap;

import javax.swing.*;
import java.awt.event.*;
import java.awt.*;

public class Battle extends JApplet implements ActionListener {

  private Game g;
  private GameConfig gc;
  private JPanel cmd;

  public Battle() {}

  public void init() {
    getContentPane().setLayout(new BorderLayout());
    cmd = new JPanel(new FlowLayout());
    JButton jb = new JButton("Play");
    cmd.add(jb);
    jb.setActionCommand("PLAY");
    jb.addActionListener(this);
    getContentPane().add(cmd,BorderLayout.SOUTH);
    getContentPane().add(gc = new GameConfig(new Config()),BorderLayout.NORTH);
    g=null;
    enableEvents(-1);
  }

  public void actionPerformed(ActionEvent e) {  
    try {
        getContentPane().remove(gc);
        getContentPane().remove(cmd);
        g = new Game(getContentPane(),gc.getConfig());
        validate();
        repaint();
        g.start();
    } catch(Exception ex) { ex.printStackTrace(); }
  }

  public void start() {
  }

  public void stop() {
    if (g!=null) g.halt();
  }

  protected void processKeyEvent(KeyEvent e) {
    super.processKeyEvent(e);
    if (g!=null) g.keyEvent(e);
  }
}
